Arbor 3: FSM & BT Graph Editor 3.6.4

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
ComponentUtility Class Reference

Editor用Componentユーティリティクラス More...

## Public Member Functions
delegate void | DelayCallBack ()
| 遅延呼び出しされるメソッドのデリゲート More...

## Static Public Member Functions
static Component | AddComponent (GameObject gameObject, System.Type type)
| Add component. More...
static Type | AddComponent< Type > (GameObject gameObject)
| Add component. More...
static void | Destroy (Object objectToUndo)
| Objectを破棄する。 More...
static void | RecordObject (Object objectToUndo, string name)
| Objectを記録する。Editorでのみ有効。 More...
static void | RecordObjects (Object[] objs, string name)
| 複数のObjectを記録する。Editorでのみ有効。 More...
static void | RegisterCompleteObjectUndo (Object objectToUndo, string name)
| UndoにObjectを登録する。Editorでのみ有効。 More...
static void | SetDirty (Object obj)
| Objectをダーティとしてマークする。Editorでのみ有効。 More...
static void | MoveBehaviour (Node node, NodeBehaviour behaviour)
| behaviourをnodeに移動する。Editorでのみ有効。 More...
static void | MoveVariable (Parameter parameter, VariableBase variable)
| variableをparameterに移動する。Editorでのみ有効。 More...
static void | RefreshNodeGraph (NodeGraph nodeGraph)
| NodeGraphをRefreshする。Editorでのみ有効。 More...
static bool | IsValidObject (Object obj)
| Objectが有効かチェックする。 More...
static void | DelayDestroy (Object obj)
| 遅延破棄。Editorでのみ遅延。 More...
static void | DelayCall (DelayCallBack delayCall)
| 遅延呼び出し。Editorでのみ遅延。 More...

## Static Public Attributes
static IComponentProcessor | editorProcessor = null
| Editorでのコンポーネントプロセッサ More...
static bool | useEditorProcessor = true
| editorProcessorを使うフラグ。 More...

## Detailed Description

Editor用Componentユーティリティクラス

## Member Function Documentation

## ◆ AddComponent()

static Component AddComponent | ( | GameObject | gameObject,
|  | System.Type | type
| ) |  |
| static

Add component.

Parameters

  gameObject | GameObject
  type | Component type

Returns
  Component

## ◆ AddComponent< Type >()

static Type AddComponent< Type > | ( | GameObject | gameObject | ) |
| static

Add component.

Template Parameters

  Type | Component type

Parameters

  gameObject | GameObject

Returns
  Component

Type Constraints

  Type | : | Component |

## ◆ DelayCall()

static void DelayCall | ( | DelayCallBack | delayCall | ) |
| static

遅延呼び出し。Editorでのみ遅延。

Parameters

  delayCall | 呼び出すメソッド

## ◆ DelayCallBack()

delegate void DelayCallBack | ( |  | ) |

遅延呼び出しされるメソッドのデリゲート

## ◆ DelayDestroy()

static void DelayDestroy | ( | Object | obj | ) |
| static

遅延破棄。Editorでのみ遅延。

Parameters

  obj | Object

## ◆ Destroy()

static void Destroy | ( | Object | objectToUndo | ) |
| static

Objectを破棄する。

Parameters

  objectToUndo | Object

## ◆ IsValidObject()

static bool IsValidObject | ( | Object | obj | ) |
| static

Objectが有効かチェックする。

Parameters

  obj | Object

## ◆ MoveBehaviour()

static void MoveBehaviour | ( | Node | node,
|  | NodeBehaviour | behaviour
| ) |  |
| static

behaviourをnodeに移動する。Editorでのみ有効。

Parameters

  node | 移動先ノード
  behaviour | 移動するNodeBehaviour

## ◆ MoveVariable()

static void MoveVariable | ( | Parameter | parameter,
|  | VariableBase | variable
| ) |  |
| static

variableをparameterに移動する。Editorでのみ有効。

Parameters

  parameter | 移動先Parameter
  variable | 移動するVariableBase

## ◆ RecordObject()

static void RecordObject | ( | Object | objectToUndo,
|  | string | name
| ) |  |
| static

Objectを記録する。Editorでのみ有効。

Parameters

  objectToUndo | Object
  name | 名前

## ◆ RecordObjects()

static void RecordObjects | ( | Object [] | objs,
|  | string | name
| ) |  |
| static

複数のObjectを記録する。Editorでのみ有効。

Parameters

  objs | 複数のObject
  name | 名前

## ◆ RefreshNodeGraph()

static void RefreshNodeGraph | ( | NodeGraph | nodeGraph | ) |
| static

NodeGraphをRefreshする。Editorでのみ有効。

Parameters

  nodeGraph | NodeGraph

## ◆ RegisterCompleteObjectUndo()

static void RegisterCompleteObjectUndo | ( | Object | objectToUndo,
|  | string | name
| ) |  |
| static

UndoにObjectを登録する。Editorでのみ有効。

Parameters

  objectToUndo | Object
  name | 名前

## ◆ SetDirty()

static void SetDirty | ( | Object | obj | ) |
| static

Objectをダーティとしてマークする。Editorでのみ有効。

Parameters

  obj | Object

## Member Data Documentation

## ◆ editorProcessor

IComponentProcessor editorProcessor = null
| static

Editorでのコンポーネントプロセッサ

## ◆ useEditorProcessor

bool useEditorProcessor = true
| static

editorProcessorを使うフラグ。